using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class cegregisztracio : System.Web.UI.Page
{
    public static int cegID;
    public static int arsavID;
    protected void Page_Load(object sender, EventArgs e)
    {

        
        if (!IsPostBack)
        {
            pnlSzamlazasiAdatok.Visible = false;
            pnlModositGomb.Visible = false;
            pnlSzemelyiAdatok.Visible = false;
            pnlDropDownList.Visible = false;
            dropDownListFeltoltes();
            ddlcegvalasztFeltolt();
        }
    }
    protected void btnMent_Click(object sender, EventArgs e)
    {
        int idCeg = 0;
        string UserName = Page.User.Identity.Name; 
        db.adatbazisMuveletek.cegRegisztracio(txtCegnev.Text, txtVaros.Text, txtUtca.Text, txtHazSzam.Text, txtIrSzam.Text, Convert.ToInt32(txtHitelkeret.Text), ddlArsav.SelectedIndex,txtAdoszam.Text,txtEuAdoszam.Text,txtBankszamlaszam.Text);
        db.adatbazisMuveletek.adoszamToCEGID(txtAdoszam.Text, out idCeg);
        db.adatbazisMuveletek.kontaktRogzitCEGID(idCeg, 10, txtUgyvezeto.Text, txtUgyTelszam.Text, txtUgyFax.Text, txtUgyMobil.Text, txtUgymail.Text,UserName);
        db.adatbazisMuveletek.kontaktRogzitCEGID(idCeg, 2, txtPenzugy.Text, txtPenzugyTel.Text, txtPenzugyFax.Text, txtPenzugyMobil.Text, txtPenzugyMail.Text, UserName);
        db.adatbazisMuveletek.kontaktRogzitCEGID(idCeg, 3, txtKerVez.Text, txtKerVezTel.Text, txtLogVezFax.Text, txtKerVezMob.Text, txtKerVezMail.Text, UserName);
        db.adatbazisMuveletek.kontaktRogzitCEGID(idCeg, 14, txtLogVez.Text, txtLogVezTel.Text, txtLogVezFax.Text, txtLogVezMob.Text, txtLogVezMail.Text, UserName);

    }
    
    
    public void dropDownListFeltoltes()
    {
        
        ddlArsav.Items.Clear();
        ddlArsav.Items.Add("Válassz....");
        System.Collections.Generic.List<db.arsav> arsavElemek = new System.Collections.Generic.List<db.arsav>();
        db.adatbazisMuveletek.arsavLekerdezes(out arsavElemek);
        for (int i = 0; i < arsavElemek.Count; i++)
        {
            ddlArsav.Items.Add(new ListItem(arsavElemek[i].szorzo.ToString(),arsavElemek[i].arsavID.ToString()));
        }
    }

    public void ddlcegvalasztFeltolt()
    {
        ddlCegValaszt.Items.Clear();
        ddlCegValaszt.Items.Add("Válassz....");
        System.Collections.Generic.List<db.cegLista> ceglistaElemek = new System.Collections.Generic.List<db.cegLista>();
        db.adatbazisMuveletek.cegListaLekerdezes(out ceglistaElemek);
        for (int i = 0; i < ceglistaElemek.Count; i++)
        {
            ddlCegValaszt.Items.Add(new ListItem(ceglistaElemek[i].cegNev.ToString()));
        }
    }

    protected void ddlArsav_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void btnMezoTorles_Click(object sender, EventArgs e)
    {
        txtCegnev.Text = "";
        txtVaros.Text = "";
        txtUtca.Text = "";
        txtHazSzam.Text = "";
        txtIrSzam.Text = "";
        txtHitelkeret.Text = "";
    }
    protected void btnUjCeg_Click(object sender, EventArgs e)
    {
        //db.abEditLekerdez.cegRegisztracio("Soós Viktor", "Debrecen", "István út", "93.", "4031", 100000, 2, "00000000", "11111111", "222222222");
        //db.abEditLekerdez.cegListaUpdate(10, "Sós Viktor", "Nagyhegyes", "Nefelejcs utca.", "12", "4065", 100000000, 2, "1111111","2222222","12345678");

        pnlUjCeg.Visible = false;
        pnlModositCeg.Visible = false;
        pnlSzamlazasiAdatok.Visible = true;
        pnlModositGomb.Visible = false;
        pnlSzemelyiAdatok.Visible = true;
        pnlDropDownList.Visible = false;
    }
    protected void btnModosit_Click(object sender, EventArgs e)
    {
        pnlUjCeg.Visible = false;
        pnlModositCeg.Visible = false;
        pnlDropDownList.Visible = true;
        pnlSzamlazasiAdatok.Visible = false;
        pnlModositGomb.Visible = false;
        pnlSzemelyiAdatok.Visible = false;
        
    }
    protected void ddlCegValaszt_SelectedIndexChanged(object sender, EventArgs e)
    {
        
        txtCegnev.Text = ddlCegValaszt.SelectedItem.ToString();
        db.cegLista cegLista = new db.cegLista();
        db.adatbazisMuveletek.nevTocegListaLekerdezes(txtCegnev.Text.ToString(), out cegLista);
        System.Collections.Generic.List<db.arsav> arsavElemek = new System.Collections.Generic.List<db.arsav>();
        db.adatbazisMuveletek.arsavIdTOarsavLekerdezes(cegLista.arsavID, out arsavElemek);
        cegID = cegLista.cegID;
        
        //txtCegnev.Text = cegLista.cegNev.ToString();
        txtVaros.Text = cegLista.varos.ToString();
        txtUtca.Text = cegLista.utca.ToString();
        txtHazSzam.Text = cegLista.hazszam.ToString();
        txtIrSzam.Text = cegLista.irszam.ToString();
        txtHitelkeret.Text = cegLista.hitelkeret.ToString();
        txtAdoszam.Text = cegLista.adoszam.ToString();
        txtEuAdoszam.Text = cegLista.euadoszam.ToString();
        txtBankszamlaszam.Text = cegLista.bankszamlaszam.ToString();

        ddlArsav.SelectedItem.Text = arsavElemek[0].szorzo.ToString();



        pnlUjCeg.Visible = false;
        pnlModositCeg.Visible = false;
        pnlSzamlazasiAdatok.Visible = true;
        pnlModositGomb.Visible = true;
        pnlSzemelyiAdatok.Visible = false;
        pnlDropDownList.Visible = false;
    }
    
    protected void btnModositButton_Click(object sender, EventArgs e)
    {
        arsavID = ddlArsav.SelectedIndex;

        db.adatbazisMuveletek.cegListaUpdate(cegID, txtCegnev.Text.ToString(), txtVaros.Text.ToString(), txtUtca.Text.ToString(),
                                         txtHazSzam.Text.ToString(), txtIrSzam.Text.ToString(), Convert.ToInt32(txtHitelkeret.Text.ToString()), arsavID, txtAdoszam.Text.ToString(), txtEuAdoszam.Text.ToString(), txtBankszamlaszam.Text.ToString());
        //btnModositButton.Attributes.Add("onclick", "window.opener.location.reload(true);window.close();");
    }
}
